package com.ctpodp.objects;

import com.ctpodp.objects.fromReact.Geojson.GeojsonPathObj;
import com.jibestream.jmapandroidsdk.astar.PathPerFloor;
import com.jibestream.jmapandroidsdk.components.Waypoint;

public class NavigationPathGenerated {
  public String pathId;
  public ProcessedInstruction[] instructions;
  public Waypoint start;
  public Waypoint end;
  public PathPerFloor[] jibestreamPath;
  public GeojsonPathObj path;

  public NavigationPathGenerated(String pathId, ProcessedInstruction[] instructions, Waypoint start, Waypoint end, PathPerFloor[] jibestreamPath, GeojsonPathObj path) {
    this.pathId = pathId;
    this.instructions = instructions;
    this.start = start;
    this.end = end;
    this.jibestreamPath = jibestreamPath;
    this.path = path;
  }
}
