import React from 'react';
import { DimensionValue } from 'react-native';
import type { MAP_EVENT_LISTENER, MAP_LOCALE, MAP_SIMULATION_REFERENCE, MAP_VIEW_REFERENCE } from './CommandTypes';
import type { MAP_CREDENTIALS, MAP_OPTIONS } from './JibestreamTypes';
export interface MapViewProps {
    credentials: MAP_CREDENTIALS;
    mapOptions?: MAP_OPTIONS;
    style: {
        height: number;
        width: number;
        visible: boolean;
    };
    compassStyle?: {
        size: number;
        right: DimensionValue;
        top: DimensionValue;
    };
    onMapMessage: MAP_EVENT_LISTENER;
    locale?: MAP_LOCALE;
}
declare const mapViewFwRef: React.ForwardRefExoticComponent<MapViewProps & React.RefAttributes<MAP_VIEW_REFERENCE & MAP_SIMULATION_REFERENCE>>;
export default mapViewFwRef;
//# sourceMappingURL=MapView.d.ts.map